# get\_blobs

## Retrieves a list of data blobs for a blober account in the given slot number.

> \- Returns an empty list if no blobs were uploaded during the slot.\
> \- Returns \`null\` if the slot has not been completed yet.\
> \- Returns an error if there was a database or RPC failure.\
> \
> Typically, each user is represented by a \*blober\*, and each \*blober’s\* associated data are its \*blobs\*. However, a \*blober\* may map to a user account, a node account, or another logical entity—the semantics may vary and is determined by each network’s operators.<br>

```json
{"openapi":"3.0.1","info":{"title":"Data Indexer — get_blobs","version":"0.1.0"},"tags":[{"name":"Blobs","description":"Methods for retrieving raw blob data"}],"servers":[{"url":"https://devnet.data-anchor.termina.technology","description":"Devnet endpoint"},{"url":"https://mainnet.data-anchor.termina.technology","description":"Mainnet endpoint"}],"paths":{"/":{"post":{"tags":["Blobs"],"operationId":"getBlobs","summary":"Retrieves a list of data blobs for a blober account in the given slot number.","description":"- Returns an empty list if no blobs were uploaded during the slot.\n- Returns `null` if the slot has not been completed yet.\n- Returns an error if there was a database or RPC failure.\n\nTypically, each user is represented by a *blober*, and each *blober’s* associated data are its *blobs*. However, a *blober* may map to a user account, a node account, or another logical entity—the semantics may vary and is determined by each network’s operators.\n","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetBlobsRequest"}}}},"responses":{"200":{"description":"RPC success or error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RpcResponse_GetBlobs"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"500":{"$ref":"#/components/responses/ServerError"}}}}},"components":{"schemas":{"GetBlobsRequest":{"allOf":[{"$ref":"#/components/schemas/RpcRequestBase"},{"type":"object","properties":{"params":{"$ref":"#/components/schemas/GetBlobsParams"}}}]},"RpcRequestBase":{"type":"object","required":["id","jsonrpc","method"],"properties":{"id":{"type":"string","description":"Unique request identifier"},"jsonrpc":{"type":"string","enum":["2.0"],"description":"JSON-RPC version"},"method":{"type":"string","description":"Method name"}}},"GetBlobsParams":{"type":"array","description":"Positional parameters - `[bloberPubkey, slot]`","items":[{"type":"string","format":"pubkey","description":"Blober program pubkey"},{"type":"integer","format":"int64","description":"Slot number"}]},"RpcResponse_GetBlobs":{"type":"object","required":["jsonrpc","id"],"properties":{"jsonrpc":{"type":"string","enum":["2.0"]},"id":{"type":"string"},"result":{"$ref":"#/components/schemas/GetBlobsResult"},"error":{"$ref":"#/components/schemas/RpcError"}}},"GetBlobsResult":{"oneOf":[{"type":"array","description":"Blobs present (`Vec<Vec<u8>>`)","items":{"type":"array","items":{"type":"integer","format":"int32"}}},{"type":"null","description":"Slot not finalized"}]},"RpcError":{"type":"object","required":["code","message"],"properties":{"code":{"type":"integer"},"message":{"type":"string"},"data":{"type":"object","nullable":true}}}},"responses":{"BadRequest":{"description":"Invalid request payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RpcError"}}}},"ServerError":{"description":"Internal indexer error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RpcError"}}}}}}}
```

## The RpcRequestBase object

```json
{"openapi":"3.0.1","info":{"title":"Data Indexer — get_blobs","version":"0.1.0"},"components":{"schemas":{"RpcRequestBase":{"type":"object","required":["id","jsonrpc","method"],"properties":{"id":{"type":"string","description":"Unique request identifier"},"jsonrpc":{"type":"string","enum":["2.0"],"description":"JSON-RPC version"},"method":{"type":"string","description":"Method name"}}}}}}
```

## The GetBlobsParams object

```json
{"openapi":"3.0.1","info":{"title":"Data Indexer — get_blobs","version":"0.1.0"},"components":{"schemas":{"GetBlobsParams":{"type":"array","description":"Positional parameters - `[bloberPubkey, slot]`","items":[{"type":"string","format":"pubkey","description":"Blober program pubkey"},{"type":"integer","format":"int64","description":"Slot number"}]}}}}
```

## The GetBlobsRequest object

```json
{"openapi":"3.0.1","info":{"title":"Data Indexer — get_blobs","version":"0.1.0"},"components":{"schemas":{"GetBlobsRequest":{"allOf":[{"$ref":"#/components/schemas/RpcRequestBase"},{"type":"object","properties":{"params":{"$ref":"#/components/schemas/GetBlobsParams"}}}]},"RpcRequestBase":{"type":"object","required":["id","jsonrpc","method"],"properties":{"id":{"type":"string","description":"Unique request identifier"},"jsonrpc":{"type":"string","enum":["2.0"],"description":"JSON-RPC version"},"method":{"type":"string","description":"Method name"}}},"GetBlobsParams":{"type":"array","description":"Positional parameters - `[bloberPubkey, slot]`","items":[{"type":"string","format":"pubkey","description":"Blober program pubkey"},{"type":"integer","format":"int64","description":"Slot number"}]}}}}
```

## The GetBlobsResult object

```json
{"openapi":"3.0.1","info":{"title":"Data Indexer — get_blobs","version":"0.1.0"},"components":{"schemas":{"GetBlobsResult":{"oneOf":[{"type":"array","description":"Blobs present (`Vec<Vec<u8>>`)","items":{"type":"array","items":{"type":"integer","format":"int32"}}},{"type":"null","description":"Slot not finalized"}]}}}}
```

## The RpcResponse\_GetBlobs object

```json
{"openapi":"3.0.1","info":{"title":"Data Indexer — get_blobs","version":"0.1.0"},"components":{"schemas":{"RpcResponse_GetBlobs":{"type":"object","required":["jsonrpc","id"],"properties":{"jsonrpc":{"type":"string","enum":["2.0"]},"id":{"type":"string"},"result":{"$ref":"#/components/schemas/GetBlobsResult"},"error":{"$ref":"#/components/schemas/RpcError"}}},"GetBlobsResult":{"oneOf":[{"type":"array","description":"Blobs present (`Vec<Vec<u8>>`)","items":{"type":"array","items":{"type":"integer","format":"int32"}}},{"type":"null","description":"Slot not finalized"}]},"RpcError":{"type":"object","required":["code","message"],"properties":{"code":{"type":"integer"},"message":{"type":"string"},"data":{"type":"object","nullable":true}}}}}}
```

## The RpcError object

```json
{"openapi":"3.0.1","info":{"title":"Data Indexer — get_blobs","version":"0.1.0"},"components":{"schemas":{"RpcError":{"type":"object","required":["code","message"],"properties":{"code":{"type":"integer"},"message":{"type":"string"},"data":{"type":"object","nullable":true}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.termina.technology/documentation/open-source-contributions/modules/data-anchor/indexing-data/getting-blobs/get_blobs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
